<div class="dashboard">
    <div class="container">
        <div class="card">
            <div class="card-header">
              Detalle de Transacción ID: {{transaction.id}}
              <span class="float-right">{{ $moment(transaction.date).format('DD-MM-YYYY HH:mm:ss A')}}</span>
              
            </div>
            <div class="card-body">
              <div class="row">
                <div class="col-md-6">
                  <div class="form-group">
                    <label for="de">De</label>
                    <span class="form-control">{{transaction.from}}</span>
                  </div>
                </div>
                <div class="col-md-6">
                  <div class="form-group">
                    <label for="de">Para</label>
                    <span class="form-control">{{transaction.to}}</span>
                  </div>
                </div>
              </div>

              <div class="row">
                <div class="col-md-4">
                  <div class="form-group">
                    <label for="de">Monto</label>
                    <span class="form-control">{{transaction.amount}}</span>
                  </div>
                </div>
                <div class="col-md-4">
                  <div class="form-group">
                    <label for="de">Tipo</label>
                    <span v-if="transaction.type === 1 " class="badge badge-success form-control">Deposito</span>
                    <span v-if="transaction.type === 2 " class="badge badge-danger form-control">Retiro</span>
                    <span v-if="transaction.type === 3 " class="badge badge-warning form-control">Transferencia</span>
                  </div>
                </div>
                <div class="col-md-4">
                  <div class="form-group">
                    <label for="de">Estatus</label>
                    <span v-if="transaction.status === 0 " class="badge badge-warninig form-control">Pendiente</span>
                              <span v-if="transaction.status === 1 " class="badge badge-success form-control">Completada</span>
                              <span v-if="transaction.status === 2 " class="badge badge-danger form-control">Cancelada</span>
                  </div>
                </div>
              </div>

              <div class="row">
                <div class="col-md-12">
                  <div class="form-group">
                    <label for="de">Descripción</label>
                    <span class="form-control">{{transaction.description}}</span>
                  </div>
                </div>
              </div>

              <div class="row">
                <h3 class="text-center w-100">Comprobante de transacción</h3>
                <br>
                <br>
                <div class="col-md-12">
                  <div class="form-group m-auto">
                    <img class="rounded mx-auto d-block" :src="transaction.voucher" alt="" width="300px">
                  </div>
                </div>
              </div>
              
            </div>
          </div>
    </div>
</div>